CREATE TABLE irc_search_action_details (
    ACTION_DETAIL_ID         NUMBER       ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    SEARCH_ID                NUMBER           NOT NULL,
    ACTION_ID                NUMBER           NOT NULL,
    SELECTED_ENTITY_ID       NUMBER           NOT NULL,
    TARGET_ENTITY_ID         NUMBER       ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ACTION_DETAIL_ID         NUMBER       ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    SEARCH_ID                NUMBER           NOT NULL,
    ACTION_ID                NUMBER           NOT NULL,
    SELECTED_ENTITY_ID       NUMBER           NOT NULL,
    TARGET_ENTITY_ID         NUMBER       ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_irc_search_action_details PRIMARY KEY (ACTION_DETAIL_ID, ACTION_DETAIL_ID)
);
